lm_trie_s Struct Reference

## Data Fields

uint8 * | ngram_mem
size_t | ngram_mem_size
unigram_t * | unigrams
middle_t * | middle_begin
middle_t * | middle_end
longest_t * | longest
lm_trie_quant_t * | quant
float | backoff_cache [NGRAM_MAX_ORDER]
uint32 | hist_cache [NGRAM_MAX_ORDER - 1]

## Detailed Description

Definition at line 79 of file lm_trie.h.

## Field Documentation

## backoff_cache

float lm_trie_s::backoff_cache[NGRAM_MAX_ORDER]

Definition at line 88 of file lm_trie.h.

## hist_cache

uint32 lm_trie_s::hist_cache[NGRAM_MAX_ORDER - 1]

Definition at line 89 of file lm_trie.h.

## longest

longest_t* lm_trie_s::longest

Definition at line 85 of file lm_trie.h.

## middle_begin

middle_t* lm_trie_s::middle_begin

Definition at line 83 of file lm_trie.h.

## middle_end

middle_t* lm_trie_s::middle_end

Definition at line 84 of file lm_trie.h.

## ngram_mem

uint8* lm_trie_s::ngram_mem

Definition at line 80 of file lm_trie.h.

## ngram_mem_size

size_t lm_trie_s::ngram_mem_size

Definition at line 81 of file lm_trie.h.

## quant

lm_trie_quant_t* lm_trie_s::quant

Definition at line 86 of file lm_trie.h.

## unigrams

unigram_t* lm_trie_s::unigrams

Definition at line 82 of file lm_trie.h.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/lm/lm_trie.h